#include "ezwin.h"

SimpleWindow Start("Carrom", 28.0, 21, Position(0.5, 0.5));

void Game()
{
//C
	Start.RenderEllipse(Position(5.5+2.5,2.0), Position(5.5+4.5,4.0), Black, true);
	Start.RenderEllipse(Position(5.5+2.53,2.03), Position(5.5+4.48,3.98), White, true);
	Start.RenderRectangle(Position(5.5+3.5,2.3), Position(5.5+4.5,3.7), White, false);
//A
	Start.RenderLine(Position(5.5+5.0,2.0), Position(5.5+4.5,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+5.0,2.0), Position(5.5+5.5,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+4.75,3.0), Position(5.5+5.25,3.0), Black, 0.05);
//R
	Start.RenderEllipse(Position(5.5+6.0,2.0), Position(5.5+7.0,3.0), Black, true);
	Start.RenderEllipse(Position(5.5+6.04,2.05), Position(5.5+6.97,2.97), White, false);
	Start.RenderRectangle(Position(5.5+6.0,2.0), Position(5.5+6.5,3.0), White, false);
	Start.RenderLine(Position(5.5+6.0,2.0), Position(5.5+6.0,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+6.0,2.0), Position(5.5+6.5,2.0), Black, 0.05);
	Start.RenderLine(Position(5.5+6.0,3.0), Position(5.5+6.5,3.0), Black, 0.05);
	Start.RenderLine(Position(5.5+6.5,3.0), Position(5.5+7.0,4.0), Black, 0.05);

//R
	Start.RenderEllipse(Position(5.5+8.0-0.5,2.0), Position(5.5+9.0-0.5,3.0), Black, true);
	Start.RenderEllipse(Position(5.5+7.54,2.05), Position(5.5+8.47,2.97), White, false);
	Start.RenderRectangle(Position(5.5+8.0-0.5,2.0), Position(5.5+8.5-0.5,3.0), White, false);
	Start.RenderLine(Position(5.5+8.0-0.5,2.0), Position(5.5+8.0-0.5,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+8.0-0.5,2.0), Position(5.5+8.5-0.5,2.0), Black, 0.05);
	Start.RenderLine(Position(5.5+8.0-0.5,3.0), Position(5.5+8.5-0.5,3.0), Black, 0.05);
	Start.RenderLine(Position(5.5+8.5-0.5,3.0), Position(5.5+9.0-0.5,4.0), Black, 0.05);
//O
	Start.RenderEllipse(Position(5.5+8.8,2.0), Position(5.5+10.8,4.0), Cyan, true);
	Start.RenderEllipse(Position(5.5+9.0,2.2), Position(5.5+10.6,3.8), White, false);
	Start.RenderEllipse(Position(5.5+9.2,2.4), Position(5.5+10.4,3.6), Green, true);
//M
	Start.RenderLine(Position(5.5+11.3,2.0), Position(5.5+11.3,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+12.8,2.0), Position(5.5+12.8,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+11.3,2.0), Position(5.5+12.05,3.0), Black, 0.05);
	Start.RenderLine(Position(5.5+12.05,3.0), Position(5.5+12.8,2.0), Black, 0.05);

//
	Start.RenderLine(Position(5.7+1.5,2.7), Position(5.7+1.5,5.7), Magenta, 0.15);
	Start.RenderLine(Position(5.7+1.7,2.4), Position(5.7+1.7,5.4), Red, 0.15);
	Start.RenderLine(Position(5.7+1.9,3.0), Position(5.7+1.9,6.0), Black, 0.15);
	
	Start.RenderLine(Position(7.5-1.4,4.5), Position(12.5-1.4,4.5), Black, 0.15);
	Start.RenderLine(Position(7.5-1.7,4.7), Position(12.5-1.7,4.7), Red, 0.15);
	Start.RenderLine(Position(7.5-1.0,4.9), Position(12.5-1.0,4.9), Magenta, 0.15);

	Start.RenderLine(Position(5.7+13.2,0.5), Position(5.7+13.2,3.5), Magenta, 0.15);
	Start.RenderLine(Position(5.7+13.4,0.2), Position(5.7+13.4,3.2), Red, 0.15);
	Start.RenderLine(Position(5.7+13.6,0.8), Position(5.7+13.6,3.8), Black, 0.15);
	
	Start.RenderLine(Position(4.5+11,1.1), Position(6.5+14,1.1), Black, 0.15);
	Start.RenderLine(Position(4.5+11.3,1.3), Position(6.5+14.3,1.3), Red, 0.15);
	Start.RenderLine(Position(4.5+10.7,1.5), Position(6.5+13.7,1.5), Magenta, 0.15);
	

	Start.RenderLine(Position(5.7+1.5,9.5+2.7), Position(5.7+1.5,9.5+5.7), Magenta, 0.15);
	Start.RenderLine(Position(5.7+1.7,9.5+2.4), Position(5.7+1.7,9.5+5.4), Red, 0.15);
	Start.RenderLine(Position(5.7+1.9,9.5+3.0), Position(5.7+1.9,9.5+6.0), Black, 0.15);
	
	Start.RenderLine(Position(7.5-1.4,13.5+0.5), Position(12.5-1.4,13.5+0.5), Black, 0.15);
	Start.RenderLine(Position(7.5-1.7,13.5+0.7), Position(12.5-1.7,13.5+0.7), Red, 0.15);
	Start.RenderLine(Position(7.5-1.0,13.5+0.9), Position(12.5-1.0,13.5+0.9), Magenta, 0.15);

	Start.RenderLine(Position(5.7+13.2,0.5), Position(5.7+13.2,3.5), Black, 0.15);
	Start.RenderLine(Position(5.7+13.4,0.2), Position(5.7+13.4,3.2), Red, 0.15);
	Start.RenderLine(Position(5.7+13.6,0.8), Position(5.7+13.6,3.8), Magenta, 0.15);
	
	Start.RenderLine(Position(4.5+11,1.1), Position(6.5+14,1.1), Magenta, 0.15);
	Start.RenderLine(Position(4.5+11.3,1.3), Position(6.5+14.3,1.3), Red, 0.15);
	Start.RenderLine(Position(4.5+10.7,1.5), Position(6.5+13.7,1.5), Black, 0.15);
	
	

}

int ApiMain(){

Start.Open();
Game();

return 0;
}
