#define ACCL 0.006   // Deceleration due to board coin friction
#define rs 0.75      //radius of striker
#define rg 0.5       //radius of gits  
#define MS 1         //Mass of the striker
#define MG 1         //Mass of the gits
#define total_gits 20 
#define powfact 0.05    // used to calculate power
#define pi 3.14159265
#define E 0.85        //Coefficient of restitution


#include "ezwin.h"
#include <cassert>
#include <cmath>
#include <iostream>
#include <cstring>
#include "Alert.h"
#include "func.h"
using namespace std;

//Declaring windows


int ApiMain()
{
	for(i=0;i<=total_gits;i++)	//set all possessions to zero
	{
		possess[0][i]=possess[1][i]=0;
	}
	
	Start.Open();	//Open Start window
	Game();
	Start.SetMouseClickCallback(start_game);
	return 0;
}
