#include "ezwin.h"
#define pi 3.14159265
SimpleWindow W("Carrom", 28.0,21.0, Position(0.5,0.5));
void Board();
float i,x,y;
int ApiMain()
{
	W.Open();
	Board();
/*	
	while(1)
	{
		for(i=-pi/2; i<=3*pi/2; i+=0.02)
		{
			Board();
			W.RenderEllipse(Position(9.75+6.25*sin(i),18.25),Position(11.25+6.25*sin(i),19.75), Cyan, true);
			W.RenderEllipse(Position(9.95+6.25*sin(i),18.45),Position(11.05+6.25*sin(i),19.55), White, false);
			W.RenderEllipse(Position(10.15+6.25*sin(i),18.65),Position(10.85+6.25*sin(i),19.35), Green, true);

			for(long int l=1; l<12000000;l++);
		}
	}
*/
/*
	W.RenderEllipse(Position(9.75,18.25),Position(11.25,19.75), Cyan, true);
	W.RenderEllipse(Position(9.95,18.45),Position(11.05,19.55), White, false);
	W.RenderEllipse(Position(10.15,18.65),Position(10.85,19.35), Green, true);

	while(1)
	{
		for(i=-pi/2; i<3*pi/2; i+=0.02)
		{
			Board();
			W.RenderEllipse(Position(9.75,18.25),Position(11.25,19.75), Cyan, true);
			W.RenderEllipse(Position(9.95,18.45),Position(11.05,19.55), White, false);
			W.RenderEllipse(Position(10.15,18.65),Position(10.85,19.35), Green, true);
	
			x=10.5+4*sin(i);
			y=19.0-sqrt(16-((x-10.5)*(x-10.5)));
			
			W.RenderLine(Position(x,y), Position(10.5, 19.0), Black, 0.05);
			for(long int l=1; l<12000000;l++);
		}
	}
*/	

	while(1)
	{
		for(i=0; i<=pi; i+=0.02)
		{
			x=22.0+4*sin(i);
			Board();
			W.RenderRectangle(Position(22.0,2.0), Position(x,2.75), Red, false);
			for(long int l=1; l<12000000;l++);
		}
	}

	return 0;
}


void Board()
{
	W.RenderRectangle(Position(0.0,0.0), Position(30.0,30.0), White, false);	//White Background
//Holes
	W.RenderEllipse(Position(-1.5,-1.5), Position(1.5,1.5), Black, true);
	W.RenderEllipse(Position(-1.5,19.5), Position(1.5,22.5), Black, true);
	W.RenderEllipse(Position(19.5,-1.5), Position(22.5,1.5), Black, true);
	W.RenderEllipse(Position(19.5,19.5), Position(22.5,22.5), Black, true);

	W.RenderRectangle(Position(21.0,0.0), Position(28.5,21.0), White, false);
	W.RenderRectangle(Position(0.0,21.0), Position(25.0,25.0), White, false);
	W.RenderLine(Position(0.0,21.0), Position(21.0,21.0), Black, 0.04);
	W.RenderLine(Position(21.0,0.0), Position(21.0,21.0), Black, 0.04);
//White strips
	W.RenderRectangle(Position(3.0,1.5), Position(18.0,2.5), White, true);	//top
	W.RenderRectangle(Position(1.5,3.0), Position(2.5,18.0), White, true);	//Left
	W.RenderRectangle(Position(18.5,3.0), Position(19.5,18.0), White, true);	//Right
	W.RenderRectangle(Position(3.0,18.5), Position(18.0,19.5), White, true);	//Bottom
//Red Circles
	W.RenderEllipse(Position(2.5,1.5), Position(3.5,2.5), White, true);	//top left
	W.RenderEllipse(Position(2.6,1.6), Position(3.4,2.4), Red, true);	// -- 

	W.RenderEllipse(Position(17.5,1.5), Position(18.5,2.5), White, true);	//top right
	W.RenderEllipse(Position(17.6,1.6), Position(18.4,2.4), Red, true);	// --

	W.RenderEllipse(Position(1.5,2.5), Position(2.5,3.5), White, true);	//Left top
	W.RenderEllipse(Position(1.6,2.6), Position(2.4,3.4), Red, true);	// --

	W.RenderEllipse(Position(1.5,17.5), Position(2.5,18.5), White, true);	//left bottom
	W.RenderEllipse(Position(1.6,17.6), Position(2.4,18.4), Red, true);	// --

	W.RenderEllipse(Position(18.5,2.5), Position(19.5,3.5), White, true);	//right top
	W.RenderEllipse(Position(18.6,2.6), Position(19.4,3.4), Red, true);	// --

	W.RenderEllipse(Position(18.5,17.5), Position(19.5,18.5), White, true);	//right bottom
	W.RenderEllipse(Position(18.6,17.6), Position(19.4,18.4), Red, true);	// --

	W.RenderEllipse(Position(2.5,18.5), Position(3.5,19.5), White, true);	//bottom left
	W.RenderEllipse(Position(2.6,18.6), Position(3.4,19.4), Red, true);	// --

	W.RenderEllipse(Position(17.5,18.5), Position(18.5,19.5), White, true);	//bottom right
	W.RenderEllipse(Position(17.6,18.6), Position(18.4,19.4), Red, true);	// --
//CENTRE
	W.RenderEllipse(Position(7.5,7.5), Position(13.5,13.5),White, true);
	W.RenderEllipse(Position(7.6,7.6), Position(13.4,13.4),Magenta, true);		
	W.RenderEllipse(Position(7.7,7.7), Position(13.3,13.3),White, true);
	W.RenderEllipse(Position(8.5,8.5), Position(12.5,12.5),Red, false);
	W.RenderEllipse(Position(8.7,8.7), Position(12.3,12.3),Yellow, true);
//STAR
	W.RenderLine(Position(10.5,8.7), Position(8.9,11.3), Blue, 0.05);
	W.RenderLine(Position(10.5,8.7), Position(12.1,11.3), Blue, 0.05);
	W.RenderLine(Position(8.9,11.3), Position(12.1,11.3), Blue, 0.05);
	W.RenderLine(Position(8.9,9.7), Position(12.1,9.7), Blue, 0.05);
	W.RenderLine(Position(10.5,12.3), Position(8.9,9.7), Blue, 0.05);
	W.RenderLine(Position(10.5,12.3), Position(12.1,9.7), Blue, 0.05);

	W.RenderEllipse(Position(3.5,3.5), Position(5.5,5.5),White, true);
	W.RenderEllipse(Position(15.5,3.5), Position(17.5,5.5),White, true);
	W.RenderEllipse(Position(3.5,15.5), Position(5.5,17.5),White, true);
	W.RenderEllipse(Position(15.5,15.5), Position(17.5,17.5),White, true);

	W.RenderLine(Position(1.5,1.5), Position(4.5,4.5), Black, 0.05);
	W.RenderLine(Position(19.5,1.5), Position(16.5,4.5), Black, 0.05);
	W.RenderLine(Position(1.5,19.5), Position(4.5,16.5), Black, 0.05);
	W.RenderLine(Position(19.5,19.5), Position(16.5,16.5), Black, 0.05);
}
