#include "ezwin.h"

SimpleWindow Start("Carrom", 28.0, 21, Position(0.5, 0.5));

void Game()
{
				/*CARROM*/

//C
	Start.RenderEllipse(Position(5.5+2.5,2.0), Position(5.5+4.5,4.0), Black, true);
	Start.RenderEllipse(Position(5.5+2.53,2.03), Position(5.5+4.48,3.98), White, true);
	Start.RenderRectangle(Position(5.5+3.5,2.3), Position(5.5+4.5,3.7), White, false);
//A
	Start.RenderLine(Position(5.5+5.5,2.0), Position(5.5+4.5,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+5.5,2.0), Position(5.5+5.5,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+5.0,3.0), Position(5.5+5.5,3.0), Black, 0.05);
//R
	Start.RenderEllipse(Position(5.5+6.0,2.0), Position(5.5+7.0,3.0), Black, true);
	Start.RenderEllipse(Position(5.5+6.04,2.05), Position(5.5+6.97,2.97), White, false);
	Start.RenderRectangle(Position(5.5+6.0,2.0), Position(5.5+6.5,3.0), White, false);
	Start.RenderLine(Position(5.5+6.0,2.0), Position(5.5+6.0,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+6.0,2.0), Position(5.5+6.5,2.0), Black, 0.05);
	Start.RenderLine(Position(5.5+6.0,3.0), Position(5.5+6.5,3.0), Black, 0.05);
	Start.RenderLine(Position(5.5+6.5,3.0), Position(5.5+7.0,4.0), Black, 0.05);

//R
	Start.RenderEllipse(Position(5.5+8.0-0.5,2.0), Position(5.5+9.0-0.5,3.0), Black, true);
	Start.RenderEllipse(Position(5.5+7.54,2.05), Position(5.5+8.47,2.97), White, false);
	Start.RenderRectangle(Position(5.5+8.0-0.5,2.0), Position(5.5+8.5-0.5,3.0), White, false);
	Start.RenderLine(Position(5.5+8.0-0.5,2.0), Position(5.5+8.0-0.5,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+8.0-0.5,2.0), Position(5.5+8.5-0.5,2.0), Black, 0.05);
	Start.RenderLine(Position(5.5+8.0-0.5,3.0), Position(5.5+8.5-0.5,3.0), Black, 0.05);
	Start.RenderLine(Position(5.5+8.5-0.5,3.0), Position(5.5+9.0-0.5,4.0), Black, 0.05);
//O
	Start.RenderEllipse(Position(5.5+8.8,2.0), Position(5.5+10.8,4.0), Cyan, true);
	Start.RenderEllipse(Position(5.5+9.0,2.2), Position(5.5+10.6,3.8), White, false);
	Start.RenderEllipse(Position(5.5+9.2,2.4), Position(5.5+10.4,3.6), Green, true);
//M
	Start.RenderLine(Position(5.5+11.3,2.0), Position(5.5+11.3,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+12.8,2.0), Position(5.5+12.8,4.0), Black, 0.05);
	Start.RenderLine(Position(5.5+11.3,2.0), Position(5.5+12.05,3.0), Black, 0.05);
	Start.RenderLine(Position(5.5+12.05,3.0), Position(5.5+12.8,2.0), Black, 0.05);


//Outlines
	Start.RenderRectangle(Position(7.0+2.4,2.4+3.0), Position(7.0+10.2,4.2+3.0), Red, true);//START GAME
	Start.RenderRectangle(Position(7.0+2.5,2.5+3.0), Position(7.0+10.1,4.1+3.0), White, true);

	Start.RenderRectangle(Position(7.0+2.4,5.4+3.0), Position(7.0+10.2,7.2+3.0), Red, true);//HELP
	Start.RenderRectangle(Position(7.0+2.5,5.5+3.0), Position(7.0+10.1,7.1+3.0), White, true);

	Start.RenderRectangle(Position(7.0+2.4,8.4+3.0), Position(7.0+10.2,10.2+3.0), Red, true);//EXIT
	Start.RenderRectangle(Position(7.0+2.5,8.5+3.0), Position(7.0+10.1,10.1+3.0), White, true);


				/*START GAME*/
//S
	Start.RenderLine(Position(7.0+3.0,3.0+3.0), Position(7.0+3.5,3.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+3.0,3.0+3.0), Position(7.0+3.0,3.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+3.0,3.3+3.0), Position(7.0+3.5,3.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+3.5,3.3+3.0), Position(7.0+3.5,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+3.0,3.6+3.0), Position(7.0+3.5,3.6+3.0), Black, 0.02);

//T
	Start.RenderLine(Position(7.0+3.7,3.0+3.0), Position(7.0+4.2,3.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+3.95,3.0+3.0), Position(7.0+3.95,3.6+3.0), Black, 0.02);

//A
	Start.RenderLine(Position(7.0+4.4,3.0+3.0), Position(7.0+4.9,3.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+4.4,3.0+3.0), Position(7.0+4.4,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+4.9,3.0+3.0), Position(7.0+4.9,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+4.4,3.3+3.0), Position(7.0+4.9,3.3+3.0), Black, 0.02);

//R
	Start.RenderLine(Position(7.0+5.1,3.0+3.0), Position(7.0+5.6,3.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.1,3.0+3.0), Position(7.0+5.1,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.6,3.0+3.0), Position(7.0+5.6,3.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.1,3.3+3.0), Position(7.0+5.6,3.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.3,3.3+3.0), Position(7.0+5.6,3.6+3.0), Black, 0.02);

//T
	Start.RenderLine(Position(7.0+5.8,3.0+3.0), Position(7.0+6.3,3.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+6.05,3.0+3.0), Position(7.0+6.05,3.6+3.0), Black, 0.02);

//G
	Start.RenderLine(Position(7.0+7.0,3.0+3.0), Position(7.0+7.5,3.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.0,3.0+3.0), Position(7.0+7.0,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.0,3.6+3.0), Position(7.0+7.5,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.5,3.6+3.0), Position(7.0+7.5,3.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.5,3.3+3.0), Position(7.0+7.25,3.3+3.0), Black, 0.02);
//A
	Start.RenderLine(Position(7.0+7.7,3.0+3.0), Position(7.0+8.2,3.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.7,3.0+3.0), Position(7.0+7.7,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+8.2,3.0+3.0), Position(7.0+8.2,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.7,3.3+3.0), Position(7.0+8.2,3.3+3.0), Black, 0.02);
//M
	Start.RenderLine(Position(7.0+8.4,3.0+3.0), Position(7.0+8.4,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+8.9,3.0+3.0), Position(7.0+8.9,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+8.4,3.0+3.0), Position(7.0+8.65,3.45+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+8.65,3.45+3.0), Position(7.0+8.9,3.0+3.0), Black, 0.02);
//E
	Start.RenderLine(Position(7.0+9.1,3.0+3.0), Position(7.0+9.1,3.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+9.1,3.0+3.0), Position(7.0+9.6,3.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+9.1,3.3+3.0), Position(7.0+9.6,3.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+9.1,3.6+3.0), Position(7.0+9.6,3.6+3.0), Black, 0.02);

				/*HELP*/

//H
	Start.RenderLine(Position(7.0+5.1,6.0+3.0), Position(7.0+5.1,6.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.6,6.0+3.0), Position(7.0+5.6,6.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.1,6.3+3.0), Position(7.0+5.6,6.3+3.0), Black, 0.02);
//E
	Start.RenderLine(Position(7.0+5.8,6.0+3.0), Position(7.0+5.8,6.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.8,6.0+3.0), Position(7.0+6.3,6.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.8,6.3+3.0), Position(7.0+6.3,6.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.8,6.6+3.0), Position(7.0+6.3,6.6+3.0), Black, 0.02);
//L
	Start.RenderLine(Position(7.0+6.5,6.0+3.0), Position(7.0+6.5,6.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+6.5,6.6+3.0), Position(7.0+7.0,6.6+3.0), Black, 0.02);
//P
	Start.RenderLine(Position(7.0+7.2,6.0+3.0), Position(7.0+7.7,6.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.2,6.0+3.0), Position(7.0+7.2,6.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.7,6.0+3.0), Position(7.0+7.7,6.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.2,6.3+3.0), Position(7.0+7.7,6.3+3.0), Black, 0.02);

				/*EXIT*/
//E
	Start.RenderLine(Position(7.0+5.1,9.0+3.0), Position(7.0+5.1,9.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.1,9.0+3.0), Position(7.0+5.6,9.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.1,9.3+3.0), Position(7.0+5.6,9.3+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+5.1,9.6+3.0), Position(7.0+5.6,9.6+3.0), Black, 0.02);
//X
	Start.RenderLine(Position(7.0+5.8,9.0+3.0), Position(7.0+6.3,9.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+6.3,9.0+3.0), Position(7.0+5.8,9.6+3.0), Black, 0.02);
//I
	Start.RenderLine(Position(7.0+6.5,9.0+3.0), Position(7.0+7.0,9.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+6.75,9.0+3.0), Position(7.0+6.75,9.6+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+6.5,9.6+3.0), Position(7.0+7.0,9.6+3.0), Black, 0.02);
//T
	Start.RenderLine(Position(7.0+7.2,9.0+3.0), Position(7.0+7.7,9.0+3.0), Black, 0.02);
	Start.RenderLine(Position(7.0+7.45,9.0+3.0), Position(7.0+7.45,9.6+3.0), Black, 0.02);
}

int ApiMain()
{
	Start.Open();
	Game();
	return 0;
}



