#include "ezwin.h"
#include <cmath>
#include<iostream>
#include<ctime>
using namespace std;
#define PI 3.14159265
int a=0,b=0,c=0;
float power,position,angle;
SimpleWindow InputOne("Carrom", 20.0, 20.0, Position(1.0, 1.0));
SimpleWindow W("Carrom", 28.0, 21.0,Position(0.0, 0.0));
void Board()
{
	W.RenderRectangle(Position(0.0,0.0), Position(30.0,30.0), White, false);	//White Background
//Holes
	W.RenderEllipse(Position(-1.5,-1.5), Position(1.5,1.5), Black, true);
	W.RenderEllipse(Position(-1.5,19.5), Position(1.5,22.5), Black, true);
	W.RenderEllipse(Position(19.5,-1.5), Position(22.5,1.5), Black, true);
	W.RenderEllipse(Position(19.5,19.5), Position(22.5,22.5), Black, true);

	W.RenderRectangle(Position(21.0,0.0), Position(28.5,21.0), White, false);
	W.RenderRectangle(Position(0.0,21.0), Position(25.0,25.0), White, false);
	W.RenderLine(Position(0.0,21.0), Position(21.0,21.0), Black, 0.04);
	W.RenderLine(Position(21.0,0.0), Position(21.0,21.0), Black, 0.04);
//White striWs
	W.RenderRectangle(Position(3.0,1.5), Position(18.0,2.5), White, true);	//top
	W.RenderRectangle(Position(1.5,3.0), Position(2.5,18.0), White, true);	//Left
	W.RenderRectangle(Position(18.5,3.0), Position(19.5,18.0), White, true);	//Right
	W.RenderRectangle(Position(3.0,18.5), Position(18.0,19.5), White, true);	//Bottom
//Red Circles
	W.RenderEllipse(Position(2.5,1.5), Position(3.5,2.5), White, true);	//top left
	W.RenderEllipse(Position(2.6,1.6), Position(3.4,2.4), Red, true);	// -- 

	W.RenderEllipse(Position(17.5,1.5), Position(18.5,2.5), White, true);	//top right
	W.RenderEllipse(Position(17.6,1.6), Position(18.4,2.4), Red, true);	// --

	W.RenderEllipse(Position(1.5,2.5), Position(2.5,3.5), White, true);	//Left top
	W.RenderEllipse(Position(1.6,2.6), Position(2.4,3.4), Red, true);	// --

	W.RenderEllipse(Position(1.5,17.5), Position(2.5,18.5), White, true);	//left bottom
	W.RenderEllipse(Position(1.6,17.6), Position(2.4,18.4), Red, true);	// --

	W.RenderEllipse(Position(18.5,2.5), Position(19.5,3.5), White, true);	//right top
	W.RenderEllipse(Position(18.6,2.6), Position(19.4,3.4), Red, true);	// --

	W.RenderEllipse(Position(18.5,17.5), Position(19.5,18.5), White, true);	//right bottom
	W.RenderEllipse(Position(18.6,17.6), Position(19.4,18.4), Red, true);	// --

	W.RenderEllipse(Position(2.5,18.5), Position(3.5,19.5), White, true);	//bottom left
	W.RenderEllipse(Position(2.6,18.6), Position(3.4,19.4), Red, true);	// --

	W.RenderEllipse(Position(17.5,18.5), Position(18.5,19.5), White, true);	//bottom right
	W.RenderEllipse(Position(17.6,18.6), Position(18.4,19.4), Red, true);	// --
//CENTRE
	W.RenderEllipse(Position(7.5,7.5), Position(13.5,13.5),White, true);
	W.RenderEllipse(Position(7.6,7.6), Position(13.4,13.4),Magenta, true);		
	W.RenderEllipse(Position(7.7,7.7), Position(13.3,13.3),White, true);
	W.RenderEllipse(Position(8.5,8.5), Position(12.5,12.5),Red, false);
	W.RenderEllipse(Position(8.7,8.7), Position(12.3,12.3),Yellow, true);
//STAR
	W.RenderLine(Position(10.5,8.7), Position(8.9,11.3), Blue, 0.05);
	W.RenderLine(Position(10.5,8.7), Position(12.1,11.3), Blue, 0.05);
	W.RenderLine(Position(8.9,11.3), Position(12.1,11.3), Blue, 0.05);
	W.RenderLine(Position(8.9,9.7), Position(12.1,9.7), Blue, 0.05);
	W.RenderLine(Position(10.5,12.3), Position(8.9,9.7), Blue, 0.05);
	W.RenderLine(Position(10.5,12.3), Position(12.1,9.7), Blue, 0.05);

	W.RenderEllipse(Position(3.5,3.5), Position(5.5,5.5),White, true);
	W.RenderEllipse(Position(15.5,3.5), Position(17.5,5.5),White, true);
	W.RenderEllipse(Position(3.5,15.5), Position(5.5,17.5),White, true);
	W.RenderEllipse(Position(15.5,15.5), Position(17.5,17.5),White, true);

	W.RenderLine(Position(1.5,1.5), Position(4.5,4.5), Black, 0.05);
	W.RenderLine(Position(19.5,1.5), Position(16.5,4.5), Black, 0.05);
	W.RenderLine(Position(1.5,19.5), Position(4.5,16.5), Black, 0.05);
	W.RenderLine(Position(19.5,19.5), Position(16.5,16.5), Black, 0.05);
//INPUT
    W.RenderText(Position(22.0,4.0),Position(27.0,5.0),"Power",Red);
    W.RenderRectangle(Position(22.0,1.0),Position(27.0,3.0),White,true);
}
void RenderInputOne();
void RenderInputTwo();
int InputOneMouseClick(const Position &P)
		{
		x=P.GetXDistance();
		y=P.GetYDistance();
		cout<<x<<y;
		if(x>=3.0&&x<=17.0&&y>=2.0&&y<=5.0)
			{
			z=1;
			RenderInputTwo();
			InputOne.Close();
			}
		if(x>=3.0&&x<=17.0&&y>=8.0&&y<=11.0)
		z=2;
		if(x>=3.0&&x<=17.0&&y>=14.0&&y<=17.0)
		z=3;
		//else
		//RenderInputOne();
		return 1;
		}
void RenderInputOne()
		{
		InputOne.Open();
		InputOne.RenderText(Position(3.0,2.0), Position(17.0,5.0), "Start Game",Red);
		InputOne.RenderText(Position(3.0,8.0), Position(17.0,11.0), "Instructions",Red);
		InputOne.RenderText(Position(3.0,14.0), Position(17.0,17.0), "Exit Game",Red);
		InputOne.SetMouseClickCallback(InputOneMouseClick);
		}
int InputTwoMouseClick(const Position &P)
		{
		p=P.GetXDistance();
		q=P.GetYDistance();
		//if(p>=22.0&&p<=27.0&&q>=1.0&&q<=3.0)
		//{
		//InputTwo.RenderRectangle(Position(22.0,1.0),Position(p,3.0),White,true);
		//InputTwo.RenderEllipse(Position((p-1.0),6.0),Position((p+1.0),8.0),Red,true);
		//position=p-6.0;
		//a=1;
		//}
		if(p>=22.0&&p<=27.0&&q>=1.0&&q<=3.0)
		{
		InputTwo.RenderRectangle(Position(22.0,1.0),Position(27.0,3.0),White,true);
		InputTwo.RenderRectangle(Position(22.0,1.0),Position(p,3.0),Red,false);
		power=p-22.0;
		b=1;
		}
		else 
		//RenderInputTwo();
		return 1;
		}
void RenderInputTwo()
   		{
   		Board();
   		W.Open();
   		W.SetMouseClickCallback(InputTwoMouseClick);
   		}
int ApiMain()
		{
		RenderInputOne();
		}

   		
   		
   		
