#include "ezwin.h"
#include <cassert>
#include <cmath>
#include <ctime>
#include <pthread.h>

SimpleWindow TP("Carrom", 25.5, 20, Position(0.5, 0.5));


int MouseCl=0;
int power(float t);
int MouseClick(const Position &p);
float t=0.0f;
int check=0;

void* animate(void *) {
	while(t<10) {
		check=power(t);
		usleep(10000);
		if(check==1)
		break;
		t=t+0.04;
	}
}

void* myfunction(void *) {
	cout<<"Hello"<<endl;
	sleep(5);
	cout<<"Hello"<<endl;
}

int ApiMain() {
	float x=1,y=1;
	TP.Open();
	TP.SetMouseClickCallback(MouseClick);
	TP.RenderLine(Position(20,0),Position(20,20),Red,0.0);
	TP.RenderRectangle(Position(20.5,1), Position(25,1.75),White, true);
	
	pthread_t t1, t2; void *tt1, *tt2;
	pthread_create(&t1, NULL, &animate, NULL);
	pthread_create(&t2, NULL, &myfunction, NULL);
	pthread_join(t1, &tt1);
	pthread_join(t2, &tt2);
	
	return 0;
}

int MouseClick(const Position &p)
{
MouseCl=1;
TP.RenderRectangle(Position(1,1), Position(2,2),Black, true);
return 0;
}

int power(float t)
{
if(MouseCl==1)
return MouseCl;
TP.RenderRectangle(Position(20.5,1), Position(20.5+4.5*(1+sin(t))/2,1.75),Green, false);
TP.RenderRectangle(Position(20.5+4.5*(1+sin(t))/2,1), Position(25,1.75) ,White, false);
return 0;
}


