#define ACCL 5
#define rs 0.5 //Change radius of striker after modifications
#define rg 0.5
#include "ezwin.h"
#include <cassert>
#include <cmath>

SimpleWindow TP("Carrom", 25.5, 20, Position(0.5, 0.5));


int MouseCl=0;
float x[20],y[20],v[20],L[20];

int Move(float x[20],float y[20],float v[20],float L[20],float t);
void Collision(float x[20],float y[20],float v[20],float L[20]);
//void power(float t);
//int MouseClick(const Position &p);

int ApiMain() {
	
	for(int i=0;i<20;i++)
	{
	x[i]=i;
	y[i]=i;
	v[i]=0;
	}
	v[0]=0.1;
	L[0]=-3.14159/6;



	float t=0;
	int flag=0;
	TP.Open();
	TP.RenderLine(Position(20,0),Position(20,20),Red,0.0);
	TP.RenderRectangle(Position(20.5,1), Position(25,1.75),White, true);
	
	/*TP.SetMouseClickCallback(MouseClick);
	while(1)
	{
	power(t);
	for(long int j=0;j<5000000;j++);
	if(MouseCl==1)
	break;
	t=t+0.01;
	}
	*/
		
	
	while(flag==0)
	{
	//TP.SetTimerCallback(Move(x,y));
	//while(x<8&&y<8)
	//{
                //TP.StartTimer(100);
		Move(x,y,v,L,t);
		Collision(x,y,v,L);
		for(long int j=0;j<500000;j++);
		
		for(int i=0;i<20;i++)
		{
			if(v[i]!=0)
			flag=1;
			break;
		}
	}
	return 0;
}

/*(int MouseClick(const Position &p)
{
MouseCl=1;
return 1;
}

void power(float t)
{
TP.RenderRectangle(Position(20.5,1), Position(20.5+4.5*(1+sin(t))/2,1.75),Green, false);
TP.RenderRectangle(Position(20.5+4.5*(1+sin(t))/2,1), Position(25,1.75) ,White, false);
}
*/




int Move(float x[20],float y[20],float v[20],float L[20],float t)
{
	int i;
	for(i=0;i<20;i++)
	{
		TP.RenderEllipse( Position(x[i],y[i]),Position(x[i]+1,y[i]+1), White, false);

		TP.RenderEllipse( Position(x[i]+v[i]*cos(L[i])*t,y[i]+v[i]*sin(L[i])*t),Position(x[i]+1+v[i]*cos(L[i])*t, y[i]+v[i]*sin(L[i])*t+1), Blue, true);
		t++;
		v[i]=v[i]-ACCL*t;
		if(v[i]<0)
		v[i]=0;
		return 0;
	}
}


void Collision(float x[20],float y[20],float v[20],float L[20])
{
	int i=0,j;
	float d=rg+rs;
	do
	{
		for(j=i+1;j<20;j++)
		{
			if(pow(pow(x[i]-x[j],2)+pow(y[i]-y[j],2),0.5 ) < d)
			{
				if(v[i]==0)
				{
					L[i]=atan((y[i]-y[j])/(x[i]-x[j]));
					v[i]=v[j];
					v[j]=0;
				}
			}
			i++;
			d=2*rg;
		}
	}
	while(i<20);
}











